Subject: bug#27872: 26.0.50; freeze when opening file with emojis

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 16 Aug 2020 18:34:11 +0200

Eli Zaretskii <[email-masked]> writes:

> I think it means that the freeze wasn't a freeze, but just a very long
> search for a font that could support the character.  It was made even
> longer by using up a lot of memory, which caused paging and slowed
> Emacs down.

I tried reproducing this on Catalina with Emacs 28, and I was unable
to -- Emacs didn't find a font for the burger symbol, but there was no
noticeable delay while looking for the font.  (After installing Symbola
it displayed the character correctly.)

So I'm going to go ahead and guess that this has been fixed now, and I'm
closing this bug report.  If anybody's seeing this on a modern
macOS/Emacs combination, please respond, and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no